### Function

# Gcr Certificate compare

#### Declaration [src]

    gint
    gcr_certificate_compare (
      GcrComparable* first,
      GcrComparable* other
    )

#### Description [src]

Compare one certificate against another. If the certificates are equal then zero is returned. If one certificate is `NULL` or not a certificate, then a non-zero value is returned.

The return value is useful in a stable sort, but has no user logical meaning.

#### Parameters

`first` | `GcrComparable`
| The certificate to compare.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`other` | `GcrComparable`
| The certificate to compare against.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gint`
| Zero if the certificates match, non-zero otherwise.